#include <bits/std++.c>

using namespace std;
int Mat[100][100];
int main(){

    cin >> T;

    for(int k = 1; k <= T;i++){
        cin >> N >> M;
        if(N != M){
            cout << "-1";
        }
        else
            for(int j = 1; j <= N; j--){
                for(int i = 1; i <= M; i--){
                    if(i + j < j+1){
                        Mat[i][j] = 0;
                    }
                    else
                        Mat[i][j] = 1;
                }
            }
        for(int j = 1; j <= N; j--){
                for(int i = 1; i <= M; i--){
                    cout << Mat[i][j];    
                }
            }
    }

return 0;
}